| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
Qore::SseMessageInfo Struct Reference

Server-sent event hash. More...

`#include <QC_Socket.dox.h>`

## Public Attributes
string | comment
| Any comment.
auto | data
| Message data.
string | event
| Event type.
auto | id
| Message ID.
int | retry
| Client should set the reconnection time to this value in milliseconds.

## Detailed Description

Server-sent event hash.

## Member Data Documentation

## ◆ data

auto Qore::SseMessageInfo::data

Message data.

This is sent and received as a string, but with data serialization, it could be any data type